function M9g(a,b,d,e){lGd.call(this,a,b,d);this.a=e}
function T9g(){var a;a=new grg(5);Lr((Wfd(),a.gb),false);return a}
function pgh(a){var b;if(!a.g){b=new U9g((z1i(Xde(a.a)),voj(Zde(a.a))));a.g=b}return a.g}
function ogh(a){var b;if(!a.f){b=new M9g(vFd(sce(a.a)),pgh(a),ngh(a),SLg(lde(a.a)));HFd((tce(a.a),b),EGd(tce(a.a)));a.f=b}return a.f}
function U9g(){tzf.call(this,O2b,NVd((f5g(),b5g),jM(Y1c,Lxj,237,[e5g])));this.a=new o5g(O2b,this);this.o="Distributed query engine, that parses, plans and excutes user's SQL commands and provides results"}
w3c(4504,1011,Oyj,M9g);_.Yi=function(){this.A.Cr()};_.aj=function(){Yuf(this.a,this)};w3c(4507,2863,Rzj,U9g);_.Bh=function(){return kzf(this)};_.zr=function(){return this.a};_.Ar=function(){return F6j};_.Er=function(){return null};_.Hr=function(){var a;a=new n3g(this,F6j,mzf(this,null),this.k,this.s);return new z3g(this,F6j,null,T9g(),a,this.s)};_.Ir=function(){return T9g()};w3c(4577,1,uzj);_.td=function(){dHd(this.b,ogh(this.a.a))};var I1b=bOd(4504),J1b=bOd(4507);iAj(fp)(17);